<p class="topic">
Property Editor
</p>

<p class="text">
Use this dialog box to modify the object classes and attributes contained within an entry.
</p>

<p class="text">
<b>View</b>
<p class="text">
<b>Show Attribute Names. </b>Select this option if you want the property editor to display the names of the attributes as they appear in the schema. For example, <code>mail</code> instead of <code>Email address</code>.
</p>

<p class="text">
<b>Show Attribute Descriptions. </b>Select this option if you want the property editor to display the friendly names of the attributes. For example,<code> Email address</code> instead of <code>mail</code>. This option is selected by default.
</p>

<p class="text">
<b>Show All Allowed Attributes. </b>This checkbox controls the list of attributes shown in the property editor -- the list either includes only the attributes with values currently in the entry or all attributes allowed by schema for the selected object. The checkbox is unselected by default, and the attribute list shows only currently present attributes. Select the checkbox if you want the property editor to display all the attributes allowed by schema for the currently selected object.
</p>

<p class="text">
<b>Show DN. </b>Select this checkbox if you want to view the entry's DN.
</p>

<p class="text">
<b>Show Effective Rights. </b>Select this checkbox if you want to view the entry's effective rights.
</p>
</p>

<p class="text">
<b>Edit</b>

<p class="text">
<b>Add Value. </b>If the currently selected attribute is not the <code>objectclass</code> attribute or a binary attribute, you can use this command to insert a blank text box for the currently selected attribute. Enter the new value in the text box.
</p>

<p class="text">
If a value already exists for the attribute and the attribute is not multi-valued, you cannot enter additional values. Attempting to do so results in an object class violation.
</p>

<p class="text">
<b>Delete Value. </b>Use this command to delete the currently selected attribute value. This will not delete the attribute itself.
</p>

<p class="text">
<b>Add Attribute. </b>Use this command to add an attribute to the entry. When you select this command, the Add Attribute dialog box appears. This dialog box lists only those attributes contained within the object classes already assigned to this entry.
</p>

<p class="text">
<b>Delete Attribute. </b>Use this command to delete the currently selected attribute from the entry.
</p>
</p>
